package com.muyu.file.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.utils.file.FileUtils;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.file.service.ISysFileService;
import com.muyu.common.system.domain.SysFile;
import com.muyu.file.utils.OSSCloudClient;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

/**
 * 文件请求处理
 *
 * @author muyu
 */
@RestController
public class SysFileController {
    private static final Logger log = LoggerFactory.getLogger(SysFileController.class);

    @Autowired
    private ISysFileService sysFileService;

    /**
     * 文件上传请求
     */
    @PostMapping("upload")
    public Result<SysFile> upload (MultipartFile file) {
        try {
            // 上传并返回访问地址
            String url = sysFileService.uploadFile(file);
            SysFile sysFile = new SysFile();
            sysFile.setName(FileUtils.getName(url));
            sysFile.setUrl(url);
            return Result.success(sysFile);
        } catch (Exception e) {
            log.error("上传文件失败", e);
            return Result.error(e.getMessage());
        }
    }

    @PostMapping("imagesUpload")
    public Result<SysFile> imagesUpload(MultipartFile file) {
        OSSCloudClient client = OSSCloudClient.getInstance();
        SysFile sysFile = new SysFile();
        try {
            String filePath = client.uploadFile(file.getName(), SecurityUtils.getUsername(), "D:\\muyu\\images");
            System.out.println(filePath);
            System.out.println(client.fileExist(filePath));
            String format = new SimpleDateFormat("/yyyyMMdd/").format(new Date());
            List<String> list = client.listFiles(format);
            sysFile.setName(file.getName());
            sysFile.setUrl(filePath);
            for(String s : list) {
                System.out.println(s);
                client.deleteFile(s);
            }
            client.deleteFile("https://zhaohy-bucket.oss-cn-guangzhou.aliyuncs.com/static/images/1/"+format);
        }catch (Exception e){
            log.warn("文件上传异常{【】}",e.getMessage());
            return Result.error(e.getMessage());
        }
        return Result.success(sysFile);
    }
}
