package com.muyu.product.domain.resp;

import com.muyu.common.core.web.domain.TreeEntity;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.product.domain.req.CategoryReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @ClassName CategoryResp
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/3/5/0005 12:35
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CategoryResp extends TreeEntity {
    /** 主键 */
    private Long id;

    /** 品类名称 */
    private String name;

    /** 图片 */
    private String image;

    /** 是否启用 */
    private String status;

    private String createBy;
    private String updateBy;
    private Date createTime;
    private Date updateTime;


    /**
     * 保存构建体
     * @param categoryReq
     * @return
     */
    public static CategoryResp saveBuilder(CategoryReq categoryReq){
        return CategoryResp.builder()
                .name(categoryReq.getName())
                .image(categoryReq.getImage())
                .status(categoryReq.getStatus())
                .createBy(SecurityUtils.getUsername())
                .createTime(new Date())
                .build();
    }


    /**
     * 修改构建体
     * @param categoryReq
     * @return
     */
    public static CategoryResp updateBuilder(CategoryReq categoryReq){
        return CategoryResp.builder()
                .name(categoryReq.getName())
                .image(categoryReq.getImage())
                .status(categoryReq.getStatus())
                .updateBy(SecurityUtils.getUsername())
                .updateTime(new Date())
                .build();
    }



}
