package com.muyu.product.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.CategoryInfo;

/**
 * 品类信息Mapper extends BaseMapper<>接口
 *
 * @author Saisai
 * @date 2024-02-29
 */
public interface CategoryInfoMapper extends BaseMapper<CategoryInfo>
{
    /**
     * 查询品类信息
     *
     * @param id 品类信息主键
     * @return 品类信息
     */
    CategoryInfo selectCategoryInfoById(Long id);

    /**
     * 查询品类信息列表
     *
     * @param categoryInfo 品类信息
     * @return 品类信息集合
     */
    List<CategoryInfo> selectCategoryInfoList(CategoryInfo categoryInfo);

    /**
     * 新增品类信息
     *
     * @param categoryInfo 品类信息
     * @return 结果
     */
    int insertCategoryInfo(CategoryInfo categoryInfo);

    /**
     * 修改品类信息
     *
     * @param categoryInfo 品类信息
     * @return 结果
     */
    int updateCategoryInfo(CategoryInfo categoryInfo);

    /**
     * 删除品类信息
     *
     * @param id 品类信息主键
     * @return 结果
     */
    int deleteCategoryInfoById(Long id);

    /**
     * 批量删除品类信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCategoryInfoByIds(Long[] ids);
}
