package com.muyu.product.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.ProductInfo;

/**
 * 商品;Mapper extends BaseMapper<>接口
 *
 * @author Saisai
 * @date 2024-02-29
 */
public interface ProductInfoMapper extends BaseMapper<ProductInfo>
{
    /**
     * 查询商品;
     *
     * @param id 商品;主键
     * @return 商品;
     */
    ProductInfo selectProductInfoById(Long id);

    /**
     * 查询商品;列表
     *
     * @param productInfo 商品;
     * @return 商品;集合
     */
    List<ProductInfo> selectProductInfoList(ProductInfo productInfo);

    /**
     * 新增商品;
     *
     * @param productInfo 商品;
     * @return 结果
     */
    int insertProductInfo(ProductInfo productInfo);

    /**
     * 修改商品;
     *
     * @param productInfo 商品;
     * @return 结果
     */
    int updateProductInfo(ProductInfo productInfo);

    /**
     * 删除商品;
     *
     * @param id 商品;主键
     * @return 结果
     */
    int deleteProductInfoById(Long id);

    /**
     * 批量删除商品;
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteProductInfoByIds(Long[] ids);
}
