package com.muyu.product.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.RuleProduct;

/**
 * 规格商品中间Mapper extends BaseMapper<>接口
 *
 * @author saisai
 * @date 2024-02-29
 */
public interface RuleProductMapper extends BaseMapper<RuleProduct>
{
    /**
     * 查询规格商品中间
     *
     * @param id 规格商品中间主键
     * @return 规格商品中间
     */
    RuleProduct selectRuleProductById(Long id);

    /**
     * 查询规格商品中间列表
     *
     * @param ruleProduct 规格商品中间
     * @return 规格商品中间集合
     */
    List<RuleProduct> selectRuleProductList(RuleProduct ruleProduct);

    /**
     * 新增规格商品中间
     *
     * @param ruleProduct 规格商品中间
     * @return 结果
     */
    int insertRuleProduct(RuleProduct ruleProduct);

    /**
     * 修改规格商品中间
     *
     * @param ruleProduct 规格商品中间
     * @return 结果
     */
    int updateRuleProduct(RuleProduct ruleProduct);

    /**
     * 删除规格商品中间
     *
     * @param id 规格商品中间主键
     * @return 结果
     */
    int deleteRuleProductById(Long id);

    /**
     * 批量删除规格商品中间
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRuleProductByIds(Long[] ids);
}
