package com.muyu.product.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.product.domain.AsAttributeGroup;

/**
 * 属性组中间Service接口
 *
 * @author Saisai
 * @date 2024-02-29
 */
public interface IAsAttributeGroupService extends IService<AsAttributeGroup>
{
    /**
     * 查询属性组中间
     *
     * @param id 属性组中间主键
     * @return 属性组中间
     */
    AsAttributeGroup selectAsAttributeGroupById(Long id);

    /**
     * 查询属性组中间列表
     *
     * @param asAttributeGroup 属性组中间
     * @return 属性组中间集合
     */
    List<AsAttributeGroup> selectAsAttributeGroupList(AsAttributeGroup asAttributeGroup);

    /**
     * 新增属性组中间
     *
     * @param asAttributeGroup 属性组中间
     * @return 结果
     */
    int insertAsAttributeGroup(AsAttributeGroup asAttributeGroup);

    /**
     * 修改属性组中间
     *
     * @param asAttributeGroup 属性组中间
     * @return 结果
     */
    int updateAsAttributeGroup(AsAttributeGroup asAttributeGroup);

    /**
     * 批量删除属性组中间
     *
     * @param ids 需要删除的属性组中间主键集合
     * @return 结果
     */
    int deleteAsAttributeGroupByIds(Long[] ids);

    /**
     * 删除属性组中间信息
     *
     * @param id 属性组中间主键
     * @return 结果
     */
    int deleteAsAttributeGroupById(Long id);

    int deleteAsAttributeGroupByGroupId(Long id);
}
