package com.muyu.product.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.product.domain.Address;
import com.muyu.product.domain.Rule;

/**
 * 规格Service接口
 *
 * @author saisai
 * @date 2024-02-29
 */
public interface IRuleService extends IService<Rule>
{
    /**
     * 查询规格
     *
     * @param id 规格主键
     * @return 规格
     */
    Rule selectRuleById(Long id);

    /**
     * 查询规格列表
     *
     * @param rule 规格
     * @return 规格集合
     */
    List<Rule> selectRuleList(Rule rule);

    /**
     * 新增规格
     *
     * @param rule 规格
     * @return 结果
     */
    int insertRule(Rule rule);

    /**
     * 修改规格
     *
     * @param rule 规格
     * @return 结果
     */
    int updateRule(Rule rule);

    /**
     * 批量删除规格
     *
     * @param ids 需要删除的规格主键集合
     * @return 结果
     */
    int deleteRuleByIds(Long[] ids);

    /**
     * 删除规格信息
     *
     * @param id 规格主键
     * @return 结果
     */
    int deleteRuleById(Long id);
}
